package com.sw.patroleditor.domain.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;


@XmlRootElement(name = "FocusConfiguration")
public class FocusConfiguration {

    //MANUAL SEMIAUTOMATIC
    @ApiModelProperty("聚焦模式：手动:MANUAL 半自动:SEMIAUTOMATIC")
    @XmlElement(name = "focusStyle")
    private String focusStyle;

    @ApiModelProperty("聚焦限制：50（默认）")
    @XmlElement(name = "focusLimited")
    private String focusLimited;

    @XmlTransient
    public String getFocusStyle() {
        return focusStyle;
    }

    public void setFocusStyle(String focusStyle) {
        this.focusStyle = focusStyle;
    }

    @XmlTransient
    public String getFocusLimited() {
        return focusLimited;
    }

    public void setFocusLimited(String focusLimited) {
        this.focusLimited = focusLimited;
    }
}
