package com.sw.patroleditor.domain.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.data.annotation.Id;

@Data
@TableName("area")
public class AreaDTO {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 区域名称
     */
    private String areaName;
    /**
     * 区域级别
     */
    private Integer type;
    /**
     * 区域级别名称
     */
    private String typeName;
    /**
     * 父级主键id
     */
    private Integer preLevel;

}
