package com.sw.patroleditor.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 巡检点
 * Created by shiwn on 2024/8/9 16:21
 */
@Data
public class TargetVO {
    @ApiModelProperty(value = "停靠点id")
    private Integer pointId;

    @ApiModelProperty(value = "巡检点名称")
    private String name;

    @ApiModelProperty(value = "数据单位")
    private String unit;

    @ApiModelProperty(value = "区域id（type1）")
    private Integer info0;

    @ApiModelProperty(value = "区域id（type2）")
    private Integer info1;

    @ApiModelProperty(value = "区域id（type3）")
    private Integer info2;

    @ApiModelProperty(value = "区域id（type4）")
    private Integer info3;

    @ApiModelProperty(value = "区域id（type5）")
    private Integer info4;

    @ApiModelProperty(value = "算法类型 大类编码（1：图像识别 2：红外检测 3：局放检测 4：环境检测 5：声音检测）")
    private Integer info9;

    @ApiModelProperty(value = "目标框选左上角X坐标")
    private Integer topleftX;

    @ApiModelProperty(value = "目标框选左上角Y坐标")
    private Integer topleftY;

    @ApiModelProperty(value = "目标框选右下角X坐标")
    private Integer botrightX;

    @ApiModelProperty(value = "目标框选右下角Y坐标")
    private Integer botrightY;
}
