package com.sw.patroleditor.service;

import com.sw.patroleditor.common.ResultData;
import com.sw.patroleditor.domain.model.FocusConfiguration;
import com.sw.patroleditor.domain.model.FocusData;
import com.sw.patroleditor.domain.model.PTZData;
import com.sw.patroleditor.domain.model.Position3D;

public interface HKService {


    ResultData continuousChanged(PTZData ptzData);

    ResultData focusChanged(FocusData focusData);

    ResultData position3DCtrl(Position3D position);

    ResultData picture();

    ResultData changeFocusMode(FocusConfiguration focusConfiguration);
}
